%define name kmud
%define version 0.3
%define release 3mdk

Name:		%{name}
Summary:	kmud is a MUD client for X11/Qt/KDE
Version:	%{version}
Release:	%{release}
Copyright:	GPL
Group:		Games/Adventure
URL:		http://fara.cs.uni-potsdam.de/~uhlmann/kmud/
Source:		%{name}-%{version}.tar.bz2
Icon:		%{name}.xpm
BuildRoot:	/var/tmp/%{name}-buildroot
Prefix:		/usr

%define docdir	/usr/share/doc
%define kdedir  /usr

Packager:	Vincent Danen <vdanen@linux-mandrake.com>

%description
kmud is a mud client for X11/Qt/KDE.  A MUD is a Multi User Dungeon that is
a text adventure/role-playing games on the internet.  You play a character
in a medieval or futuristic setting, and apart from killing monsters and
other evil beings, you can chat with other characters.  For more information
on MUDs in particular, visit http://www.mudconnector.com/mudfaq/index.html.

%prep
%setup -q

%build
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT

CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS -I%{kdedir}/include" \
kde_doc=%{docdir} kde_htmldir=%{docdir}/HTML \
./configure --prefix=%{kdedir} --with-install-root=$RPM_BUILD_ROOT \
			--disable-rpath
make

%install
make install

%clean
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
rm -rf $RPM_BUILD_DIR/file.list.%{name}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}


%files  
%defattr(-,root,root,0755)
%dir /usr/doc/kde/HTML/en/kmud
%dir /usr/doc/kde/HTML/sv/kmud
/usr/bin/*
/usr/doc/kde/HTML/en/kmud/*
/usr/doc/kde/HTML/sv/kmud/*
/usr/share/applnk/Applications/*
/usr/share/icons/kmud.xpm
/usr/share/icons/mini/*
/usr/share/locale/de/LC_MESSAGES/*
/usr/share/locale/sv/LC_MESSAGES/*

%changelog
* Tue May 02 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.3-3mdk
- fic group
- disable rpath

* Fri Mar 03 2000 Lenny Cartier <lenny@mandrakesoft.com>
- specfile cleaning

* Tue Feb 15 2000 Vincent Danen <vdanen@linux-mandrake.com>
- 0.3

* Mon Nov 29 1999 Lenny Cartier <lenny@mandrakesoft.com>
- new in contribs
- used the srpm provided by Vincent Danen <vdanen@linux-mandrake.com>

* Sat Nov 27 1999 Vincent Danen <vdanen@linux-mandrake.com>
- initial specfile
- bzip sources
